# vim: set ts=4 sw=4 et:

%{!?python_sitelib:  %global python_sitelib  %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}

Name:           libfarsight2
Version:        0.0.26
%define soname 0
Release:        1.pm.2.5
License:        LGPL v2.1 only
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       gstreamer-0_10 gstreamer-0_10-plugins-base
BuildRequires:  gcc-c++ glib2-devel valgrind-devel python-gtk-devel
BuildRequires:  gstreamer-0_10-devel gstreamer-0_10-plugins-base-devel python-gstreamer-0_10-devel
BuildRequires:  gtk-doc libjingle-devel fdupes
BuildRequires:  python-devel
BuildRequires:  libnice-devel >= 0.1.0
BuildRequires:  libgupnp-igd-devel
#%if %suse_version >= 1110
#BuildRequires:  libgupnp-igd-1_0-2-devel
#%endif
%if %suse_version > 1110
#BuildRequires:  python-gstreamer-0_10-devel
%endif
URL:            http://farsight.freedesktop.org/
Group:          Productivity/Multimedia/Other
Summary:        Framework To Deal With All Known Audio/Video Conferencing Protocols
# http://farsight.freedesktop.org/releases/farsight2/farsight2-%{version}.tar.gz
Source:         farsight2-%{version}.tar.bz2
Source1:        libfarsight2-rpmlintrc

%description
The Farsight project is an effort to create a framework to deal with
all known audio/video conferencing protocols. On one side it offers a
generic API that makes it possible to write plugins for different
streaming protocols, on the other side it offers an API for clients to
use those plugins.

%package -n libfarsight2_%{soname}
Summary:        Framework To Deal With All Known Audio/Video Conferencing Protocols
Group:          Productivity/Multimedia/Other
Provides:       libfarsight2 = %{version}-%{release}
Obsoletes:      libfarsight2 < %{version}
Provides:       python-farsight = %{version}-%{release}
%{py_requires}

%description -n libfarsight2_%{soname}
The Farsight project is an effort to create a framework to deal with
all known audio/video conferencing protocols. On one side it offers a
generic API that makes it possible to write plugins for different
streaming protocols, on the other side it offers an API for clients to
use those plugins.

%package devel
License:        GPL v2 or later
Requires:       libfarsight2_%{soname} = %{version}
Requires:       pkgconfig glibc-devel
Requires:       libgupnp-igd-devel
#%if %suse_version >= 1110
#Requires:       libgupnp-igd-1_0-2-devel
#%endif
Requires:       valgrind-devel glib2-devel gstreamer010-devel
Requires:       libnice-devel
Summary:        Framework To Deal With All Known Audio/Video Conferencing Protocols
Group:          Development/Libraries/C and C++

%description devel
The Farsight project is an effort to create a framework to deal with
all known audio/video conferencing protocols. On one side it offers a
generic API that makes it possible to write plugins for different
streaming protocols, on the other side it offers an API for clients to
use those plugins.

%package doc
License:        GPL v2 or later
Summary:        Framework To Deal With All Known Audio/Video Conferencing Protocols
Group:          Development/Libraries/C and C++

%description doc
The Farsight project is an effort to create a framework to deal with
all known audio/video conferencing protocols. On one side it offers a
generic API that makes it possible to write plugins for different
streaming protocols, on the other side it offers an API for clients to
use those plugins.

%package -n python-farsight2
Summary:        Framework To Deal With All Known Audio/Video Conferencing Protocols
Group:          Development/Libraries/Python
Requires:       libnice%{soname} = %{version}
Provides:       python-farsight = %{version}
%py_requires

%description -n python-farsight2
The Farsight project is an effort to create a framework to deal with
all known audio/video conferencing protocols. On one side it offers a
generic API that makes it possible to write plugins for different
streaming protocols, on the other side it offers an API for clients to
use those plugins.

This package provides the bindings for farsight2 for the Python programming
language.

%prep
%setup -q -n "farsight2-%{version}"

%build
export CFLAGS="%{optflags} -fno-strict-aliasing"
export CPPFLAGS="$CFLAGS"
export CXXFLAGS="$CFLAGS"

[ -e ./configure ] || ./autogen.sh
%configure \
     --disable-static \
     --enable-gtk-doc
%__make %{?jobs:-j%{jobs}} V=1

%install
%makeinstall

%__rm \
    "%{buildroot}%{_libdir}"/*.la \
    "%{buildroot}%{py_sitedir}"/*.la \
    "%{buildroot}%{_libdir}/farsight2-0.0"/*.la \
    "%{buildroot}%{_libdir}/gstreamer-0.10"/*.la

%fdupes -s "%{buildroot}%{_datadir}"

%clean
%__rm -rf "$RPM_BUILD_ROOT"

%post   -n libfarsight2_%{soname} -p /sbin/ldconfig
%postun -n libfarsight2_%{soname} -p /sbin/ldconfig

%files -n libfarsight2_%{soname}
%defattr(-,root,root)
%dir %{_libdir}/farsight2-0.0
%{_libdir}/farsight2-0.0/libmulticast-transmitter.so
%{_libdir}/farsight2-0.0/libnice-transmitter.so
%{_libdir}/farsight2-0.0/librawudp-transmitter.so
%{_libdir}/farsight2-0.0/libshm-transmitter.so
%dir %{_libdir}/gstreamer-0.10
%{_libdir}/gstreamer-0.10/libfsfunnel.so
%{_libdir}/gstreamer-0.10/libfsmsnconference.so
%{_libdir}/gstreamer-0.10/libfsrawconference.so
%{_libdir}/gstreamer-0.10/libfsrtcpfilter.so
%{_libdir}/gstreamer-0.10/libfsrtpconference.so
%{_libdir}/gstreamer-0.10/libfsvideoanyrate.so
%{_libdir}/libgstfarsight-0.10.so.%{soname}
%{_libdir}/libgstfarsight-0.10.so.%{soname}.*
%dir %{_datadir}/farsight2
%dir %{_datadir}/farsight2/0.0
%dir %{_datadir}/farsight2/0.0/fsrtpconference
%{_datadir}/farsight2/0.0/fsrtpconference/*

%files devel
%defattr(-,root,root)
%dir %{_includedir}/gstreamer-0.10/
%dir %{_includedir}/gstreamer-0.10/gst/
%dir %{_includedir}/gstreamer-0.10/gst/farsight/
%{_includedir}/gstreamer-0.10/gst/farsight/*
%{_libdir}/libgstfarsight-0.10.so
%{_libdir}/pkgconfig/farsight2-0.10.pc

%files doc
%defattr(-,root,root)
%dir %{_datadir}/gtk-doc/
%dir %{_datadir}/gtk-doc/html/
%dir %{_datadir}/gtk-doc/html/farsight2-libs-0.10
%dir %{_datadir}/gtk-doc/html/farsight2-plugins-0.10
%{_datadir}/gtk-doc/html/farsight2-plugins-0.10/*
%{_datadir}/gtk-doc/html/farsight2-libs-0.10/*

%files -n python-farsight2
%defattr(-,root,root)
%{python_sitearch}/farsight.so

%changelog
* Sat Feb 26 2011 pascal.bleser@opensuse.org
- split out python-farsight2
- now requires libnice10
- update to 0.0.26
* Sat Jul  3 2010 pascal@links2linux.de
- update to 0.0.20
* Fri Feb 19 2010 pascal@links2linux.de
- update to 0.0.17
- add -fno-strict-aliasing
- rewrote the spec file to be more deterministic
- removed .la files
- fixed Requires:nice-devel -> Requires:libnice-devel on 11.1
- add baselibs.conf
* Mon Sep 21 2009 andrea@links2linux.de
- new upstream version 0.0.15
- clean spec file (removed no more supported suse versions lines)
* Wed Jun 10 2009 andrea@links2linux.de
- new upstream version 0.0.12
* Thu Apr  9 2009 andrea@links2linux.de
- new upsteam version 0.0.9
- removed valve patch
* Mon Mar 23 2009 andrea@links2linux.de
- added valve patch
- added gupnp and valgrind support
* Sun Mar 22 2009 andrea@links2linux.de
- new upstream version 0.0.8
* Fri Jan 23 2009 andrea@links2linux.de
- new upstream version 0.0.7 stable
* Wed Dec 17 2008 andrea@links2linux.de
- new upstream version 0.0.6 stable
* Sun Nov 16 2008 andrea@links2linux.de
- new upstream version 0.0.4 stable
* Sun Nov  9 2008 andrea@links2linux.de
- new upstream git version (needed to add audio/video call
  support to amsn)
* Mon Sep  1 2008 andrea@links2linux.de
- new upstream version 0.0.3
* Wed Apr 30 2008 andrea@links2linux.de
- new package
